
/* cy8cmbr31xx.h: Sony CY8CMBR31xx Driver.
 *
 * Copyright 2018 Sony Corporation.
 * Author: Sony Corporation.
 *
 * This package is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef __CY8CMBR31XX__CY8CMBR31XX_H__INCLUDED__
#define __CY8CMBR31XX__CY8CMBR31XX_H__INCLUDED__


#define CY8CMBR31XX_EINT( n )		 (n)
#define CY8CMBR31XX_POLLING( n )	-(n)

#define CY8CMBR31XX_BUS_SPEED_INVALID   (0)

	/* キー情報 */
	struct cy8cmbr31xx_keyinfo {
		u16							key_bit ;						/* キービット */
		u16							key_code ;						/* キーコード */
		u8							wakeup;							/* Wakeup     */
		u8							reserve[3];						/* Dummy      */
	} ;

	/* i2c configuration */
	struct cy8cmbr31xx_i2c_config {
		u32							bus_speed;						/* Bus Speed [KHz] */
	};

	/* 構成 */
	struct cy8cmbr31xx_config {
		u8							const *p_regs ;					/* 設定レジスタ                            */
		int							eint_poll ;						/* EINT 番号（マイナス時はポーリング時間） */
		int							reset ;							/* リセットポート                          */
		int							count ;							/* キー情報数                              */
		struct cy8cmbr31xx_keyinfo	const *p_key_info ;				/* キー情報                                */
		struct cy8cmbr31xx_i2c_config i2c_config;                   /* i2c configuration                       */
	} ;


#endif/*__CY8CMBR31XX__CY8CMBR31XX_H__INCLUDED__*/
